[arch-commits] Commit in ltrace/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Wed Mar 3 13:28:13 EST 2010


    Date: Wednesday, March 3, 2010 @ 13:28:13
  Author: andrea
Revision: 71062

upgpkg: ltrace 0.5.3-1
upstream release

Modified:
  ltrace/trunk/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-03 18:15:39 UTC (rev 71061)
+++ PKGBUILD	2010-03-03 18:28:13 UTC (rev 71062)
@@ -1,22 +1,28 @@
 # $Id$
-# Maintainer : Aaron Griffin <aaron at archlinux.org>
+# Maintainer:
+# Contributor: Aaron Griffin <aaron at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 
 pkgname=ltrace
-pkgver=0.5.1
+pkgver=0.5.3
 pkgrel=1
-pkgdesc="ltrace is a debugging program which runs a specified command until it exits"
+pkgdesc="A debugging program which runs a specified command until it exits"
 arch=('i686' 'x86_64')
-url="http://packages.debian.org/squeeze/ltrace"
+url="http://packages.debian.org/sid/ltrace"
 license=('GPL')
 depends=('glibc' 'libelf')
 backup=('etc/ltrace.conf')
 source=(http://ftp.debian.org/debian/pool/main/l/ltrace/${pkgname}_${pkgver}.orig.tar.gz)
-md5sums=('7dae92a19979e65bbf8ec50c0ed54d9a')
+md5sums=('3fa7fe715ab879db08bd06d1d59fd90f')
 
 build() {
   cd $srcdir/$pkgname-$pkgver
+  sed -i 's|/usr/bin/install|/bin/install|' configure
   ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
-  make DESTDIR=$pkgdir install || return 1
 }
+
+package(){
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install || return 1
+}



More information about the arch-commits mailing list